ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
certificates_loader Class Reference

This class provides mechanism to load the certificates from the filesystem according the struecture defined in ETSI TS 103 099. More...

`#include <certificates_loader.hh>`

## Public Member Functions
int | build_path (const std::string &p_root_directory)
int | load_certificates (std::map< std::string, std::unique_ptr< security_db_record > > &p_certificates, std::map< std::vector< unsigned char >, std::string > &p_hashed_id8s)
int | save_certificate (const security_db_record &p_certificate)

## Static Public Member Functions
static certificates_loader & | get_instance ()
| Public accessor to the single object reference. More...

## Private Member Functions
| certificates_loader ()
| Default private ctor. More...
| ~certificates_loader ()
| Default private dtor. More...
int | retrieve_certificates_list (std::set< std::experimental::filesystem::path > &p_files)
int | build_certificates_cache (std::set< std::experimental::filesystem::path > &p_files, std::map< std::string, std::unique_ptr< security_db_record > > &p_certificates, std::map< std::vector< unsigned char >, std::string > &p_hashed_id8s)

## Private Attributes
std::string | _certificateExt
std::string | _privateKeyExt
std::string | _publicKeysExt
std::string | _privateEncKeyExt
std::string | _publicEncKeysExt
std::string | _hashedidDigestExt
std::string | _issuerDigestExt
std::experimental::filesystem::path | _full_path
| The full folder path to load certificates. More...
bool | _is_cache_initialized
| Set to true when certificates are successfully loaded from file system. More...
std::set< std::string > | _directory_filter
| Directory filter (for local development purposes only. More...

## Static Private Attributes
static certificates_loader * | instance = nullptr
| Unique static object reference of this class. More...

## Detailed Description

This class provides mechanism to load the certificates from the filesystem according the struecture defined in ETSI TS 103 099.

Remarks
  Singleton pattern

## Constructor & Destructor Documentation

## ◆ certificates_loader()

certificates_loader::certificates_loader | ( |  | ) |
| private

Default private ctor.

## ◆ ~certificates_loader()

certificates_loader::~certificates_loader | ( |  | ) |
| inline private

Default private dtor.

## Member Function Documentation

## ◆ build_certificates_cache()

int certificates_loader::build_certificates_cache | ( | std::set< std::experimental::filesystem::path > & | p_files,
|  | std::map< std::string, std::unique_ptr< security_db_record > > & | p_certificates,
|  | std::map< std::vector< unsigned char >, std::string > & | p_hashed_id8s
| ) |  |
| private

## ◆ build_path()

int certificates_loader::build_path | ( | const std::string & | p_root_directory | ) |

## ◆ get_instance()

static certificates_loader& certificates_loader::get_instance | ( |  | ) |
| inline static

Public accessor to the single object reference.

## ◆ load_certificates()

int certificates_loader::load_certificates | ( | std::map< std::string, std::unique_ptr< security_db_record > > & | p_certificates,
|  | std::map< std::vector< unsigned char >, std::string > & | p_hashed_id8s
| ) |  |

## ◆ retrieve_certificates_list()

int certificates_loader::retrieve_certificates_list | ( | std::set< std::experimental::filesystem::path > & | p_files | ) |
| private

## ◆ save_certificate()

int certificates_loader::save_certificate | ( | const security_db_record & | p_certificate | ) |

## Member Data Documentation

## ◆ _certificateExt

std::string certificates_loader::_certificateExt
| private

## ◆ _directory_filter

std::set<std::string> certificates_loader::_directory_filter
| private

Directory filter (for local development purposes only.

## ◆ _full_path

std::experimental::filesystem::path certificates_loader::_full_path
| private

The full folder path to load certificates.

## ◆ _hashedidDigestExt

std::string certificates_loader::_hashedidDigestExt
| private

## ◆ _is_cache_initialized

bool certificates_loader::_is_cache_initialized
| private

Set to true when certificates are successfully loaded from file system.

## ◆ _issuerDigestExt

std::string certificates_loader::_issuerDigestExt
| private

## ◆ _privateEncKeyExt

std::string certificates_loader::_privateEncKeyExt
| private

## ◆ _privateKeyExt

std::string certificates_loader::_privateKeyExt
| private

## ◆ _publicEncKeysExt

std::string certificates_loader::_publicEncKeysExt
| private

## ◆ _publicKeysExt

std::string certificates_loader::_publicKeysExt
| private

## ◆ instance

certificates_loader * certificates_loader::instance = nullptr
| static private

Unique static object reference of this class.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/certificates_loader.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/certificates_loader.cc